%define aurox_ver 10.2
%define rel 1

Summary: support for German interface in Mozilla
Name: mozilla-i18n-German
Version: 1.7.5
Release: %{aurox_ver}.aur.%{rel}
License: MPL
#Source: http://ftp.mozilla.org/pub/mozilla/l10n/lang/moz%{version}/langdeat.xpi
#Source: ftp://ftp.rz.tu-bs.de/pub/mirror/mozilla.kairo.at/mozilla-%{version}-lang-de-AT.xpi
#Source: http://ftp28f.newaol.com/pub/mozilla.org/mozilla/l10n/lang/moz1.73/langdeat.xpi
#Source: http://ftp.mozilla.org/pub/mozilla.org/mozilla/l10n/lang/moz1.75/mozilla-1.7.5.hsb-DE.langpack.xpi

Source: ftp://ftp.rz.tu-bs.de/pub/mirror/mozilla.kairo.at/mozilla-1.7.5.de-AT.langpack.xpi
Source1: mozilla-i18n-fix.sh
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
Requires: mozilla >= %{version}
BuildPreReq: unzip

%description
German translation of the Mozilla interface

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}
# we have to patch jars to work with 1.4
mylocale=de-AT
mylang=de
pushd chrome
#  cp $mylocale.jar old-$mylocale.jar
#  mv $mylang-unix.jar old-$mylang-unix.jar
  unzip $mylocale.jar
#  find ./ -name contents.rdf -exec %{SOURCE1} \{} \;
# fix error message:
#  echo '<!ENTITY  newMessageCmd.key               \"M\">' >> locale/de-AT/messenger/mailNavigatorOverlay.dtd
#  echo '<!ENTITY  newMessageCmd.key               \"M\">' >> locale/de-AT/navigator/mailNavigatorOverlay.dtd
#  mv -f locale/de-AT/messenger/mailOverlay.dtd locale/de-AT/messenger/mailOverlay.dtd.old
#  grep -v 'newMessageCmd.key' locale/de-AT/messenger/mailOverlay.dtd.old > locale/de-AT/messenger/mailOverlay.dtd
#  rm -f locale/de-AT/messenger/mailOverlay.dtd.old
# fixed
  cp -a locale/de-AT locale/de-DE
  find ./locale/de-DE -name *.rdf -exec %{SOURCE1} \{} \;
  rm -rf locale/de-AT
  zip -r de-DE.jar locale
  rm -rf locale
#  unzip old-$mylang-unix.jar
#  find ./ -name contents.rdf -exec %{SOURCE1} \{} \;
#  zip -r $mylang-unix.jar locale
#  rm -rf locale
popd

%build
mylocale=de-AT
mylang=de
grep 'registerChrome(' install.js | grep -v platform | grep -v mapi | awk '{print $5}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/",$1,"/"}' > lang-$mylocale.jar.txt
grep 'registerChrome(' install.js | grep -v platform | grep -v mapi | awk '{print $5}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/de-DE.jar!/locale/de-DE/",$1,"/"}' >> lang-de-DE.jar.txt
grep 'registerChrome(' install.js | grep platform | awk '{print $5}' | sed 's/"//g;s#/);##g' | sort --unique | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/de-unix.jar!/locale/de-AT/",$1,"/"}' > lang-$mylang-unix.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
mylocale=de-AT
mylang=de
install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang
cp -f chrome/$mylocale.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylocale.jar
cp -f chrome/de-DE.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/de-DE.jar
cp -f chrome/$mylang-unix.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylang-unix.jar
cp -f lang-$mylocale.jar.txt lang-$mylang-unix.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang
cp -f lang-de-DE.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang

install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/components/myspell
cp -f myspell/* $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/components/myspell
rm -f $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/components/myspell/LICENSE.TXT

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%files
%defattr(-,root,root)
/usr/lib/mozilla-%{version}/chrome/*.jar
/usr/lib/mozilla-%{version}/chrome/lang/*.txt
/usr/lib/mozilla-%{version}/components/myspell/*
#/usr/lib/mozilla-i18n-%{version}/*

%changelog
* Wed Feb 09 2005 Aurox Team <aurox@aurox.org> 0:1.7.5-10.2.aur.1


* Mon Sep 27 2004 Aurox Team <aurox@aurox.org> 0:1.7.3-10.1.aur.2
- Update to Mozilla 1.7.3

* Mon Aug 04 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.3
- add de-DE.jar

* Mon Aug 04 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.1
- Update to Mozilla 1.4 final

* Mon Jul 07 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.0.6
- use 1.5a

* Mon Jul 07 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.0.4
- fix error message about newMessageCmd.key

* Mon Jul 07 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.0.2
- use it for both de-AT and de-DE locale

* Mon Jul 07 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.0.1
- initial German package
- Use translation from 1.4beta

